List Available Triggers
curl --request GET \
--url https://actionkit.useparagon.com/projects/{project_id}/triggers \
--header 'Authorization: Bearer <token>'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/triggers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://actionkit.useparagon.com/projects/{project_id}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"triggers": {
"salesforce": [
{
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"triggerModel": "POLLING",
"title": "New Record",
"description": "Trigger when a new record is created in Salesforce",
"parameters": [
{
"id": "recordType",
"type": "TEXT_NO_VARS",
"label": "Record Type",
"required": true
}
]
}
]
}
}Triggers API
List Available Triggers
List all triggers that you can subscribe to on behalf of your user.
GET
/
projects
/
{project_id}
/
triggers
List Available Triggers
Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Path Parameters
Your Paragon Project ID
Query Parameters
Filter by specific integrations that the user has connected. Comma-separated list.
Example:
"salesforce,hubspot"
If true (default), only triggers for integrations the user has connected are returned.
Set to false to return triggers for all integrations enabled on the project, regardless of whether the user has connected them.
Response
200 - application/json
Success
A map of integrations with their available triggers
Show child attributes
Show child attributes
Was this page helpful?